Skip to main content
POST
/
storage
/
uploads
/
presign
Presign Upload Url
curl --request POST \
  --url https://eomer-api.onrender.com/storage/uploads/presign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "content_type": "<string>",
  "file_size": 2,
  "category": "raw"
}
'
{
  "object_id": "<string>",
  "upload_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "method": "PUT",
  "required_headers": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for issuing a presigned upload URL.

filename
string
required
Required string length: 1 - 255
content_type
string
required
Required string length: 3 - 255
file_size
integer | null
Required range: x >= 1
category
enum<string>
default:raw

Server-defined object key categories.

Available options:
raw,
processed,
exports,
tmp

Response

Successful Response

Response body for presigned upload URL issuance.

object_id
string
required
upload_url
string
required
expires_at
string<date-time>
required
method
string
default:PUT
required_headers
Required Headers · object